#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f meas.log
	rm -f *.class
	rm -f *.err
	rm -f *.data
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav -ber meas -err meas.log
	if [ $? -eq 0 ]; then 
	    cd meas
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh meas.sh 2>&1 >> ../meas.log
	    cd ..
	    ${JAVAC} Thuge.java 2>&1 >> ../meas.log
	    if [ -f Thuge.class ]; then
		echo "Running the test...";
		echo ""
		${JAVA} Thuge 2>meas.err;
	    fi
	fi
	rm -fr meas
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
